<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Application;
use App\Models\Volunteer;
use App\Models\TrainingBatchNotesUpdate;
use App\Models\TrainingBatchTraineesUpdate;
use App\Models\TrainingBatch;
use App\Models\Ticket;
use Auth;
class VolunteerController extends Controller
{
    public function index(){
        $volntr = Volunteer::get();
        return view('admin.volunteer.index', Compact('volntr'));
    }

    public function filter(Request $request){
        $hold = $request->hold;
        $reg = $request->reg;
        $act = $request->act;
        $task = $request->task;
        $color = $request->color;
        $volntr = Volunteer::when($hold, function ($query, $hold) {
          return $query->where('is_hold', $hold);
            })
        ->when($reg, function ($query, $reg) {
            return $query->where('unregistered', $reg);
        })
        ->when($act, function ($query, $act) {
            return $query->where('is_active' , $act);
        })
        ->when($task, function ($query, $task) {
            return $query->where('vlntr_task_empathy_calls', $task);
        })
        ->when($color, function ($query, $color) {
              return $query->where('vlntr_assign_color', '<=', $color);
          })->get();
        return view('admin.volunteer.index', Compact('volntr'));

      }

  
    public function unregistered(){
        $volntr = Volunteer::where('unregistered' , 'U')->get();
        return view('admin.volunteer.unreg', Compact('volntr'));
    }
    public function onhold(){
        $volntr = Volunteer::where('is_hold' , 'H')->get();
        return view('admin.volunteer.unreg', Compact('volntr'));
    }
  
    public function skill(Request $request, $id){
        $volntr = Volunteer::findorfail($id);
        $volntr->vlntr_skills=$request->vlntr_skills;
        $volntr->update();
        return back()->with('success' , 'Updated Successfully');
    }
  
    public function contract(Request $request, $id){

        $volntr = Volunteer::findorfail($id);
        $volntr->vlntr_contract_end_date =$request->vlntr_contract_end_date;
        $volntr->update();
        return redirect()->back()->with('success' , 'Updated Successfully');
    }

    public function register( $id , $status){
        $reg= Volunteer::findorfail($id);
        $reg->unregistered=$status;
        $reg->update();
        return back()->with('success' , 'Updated Successfully');
    }

    public function hold( $id , $status){
        $reg= Volunteer::findorfail($id);
        $reg->is_hold=$status;
        $reg->update();
        return back()->with('success' , 'Updated Successfully');
    }
    public function active( $id , $status){
        $reg= Volunteer::findorfail($id);
        $reg->is_active=$status;
        $reg->update();
        return back()->with('success' , 'Updated Successfully');
      }

    public function task(Request $request, $id){
        if($request->input('vlntr_task_empathy_calls')<>null && $request->input('vlntr_task_Others')<>null){
            $volntr=Volunteer::findorfail($id);
            $volntr->vlntr_task_empathy_calls='B';
            $volntr->update();
            return back()->with('success' , 'Updated Successfully');
        }elseif( $request->input('vlntr_task_empathy_calls')<>null){
            $volntr=Volunteer::findorfail($id);
            $volntr->vlntr_task_empathy_calls='E';
            $volntr->update();
            return back()->with('success' , 'Updated Successfully');
        }
        else{
            $volntr=Volunteer::findorfail($id);
            $volntr->vlntr_task_empathy_calls='O';
            $volntr->update();
            return back()->with('success' , 'Updated Successfully');

        }
      }

      public function client(Request $request){
          $client=ClientTrainee::where('volunteer_id', $request->volunteer)->get();
          $count='';
          foreach($client as $c){
            if($c->client_id !=null){
                $count++;
            }
          }
          if($count>=0){
                $res= ["status"=>'1', "volntr_id"=>$request->volunteer];
                return $res;

          }          
      }

      public function volunteer_notes(Request $request , $close = ""){

        foreach ($request->attendence as $key => $value) {
          $input['tbtu_attendance'] = $value;
          $input['tbtu_notes'] = $request->volunteer_notes[$key];
          $input['tbtu_skills'] = $request->volunteer_skills[$key];
          $input['updated_by'] = Auth::user()->id;
          $ticket['subject'] = $request->ticket_title[$key];
          $ticket['type'] = $request->ticket_priority[$key];
          $ticket['description'] = $request->ticket_desc[$key];
          $ticket['updated_by'] = Auth::user()->id;
          if($close == "C")
              $input['tbtu_status'] = "C";
          $TrainingBatchTraineesUpdate = TrainingBatchTraineesUpdate::where('id', $request->training_batch_trainees_updates[$key])->first();
          $tiketid['id'] = $TrainingBatchTraineesUpdate->tbtu_ticket_id;
          $volunteerid = $TrainingBatchTraineesUpdate->tbtu_trainee_id;
          $ticket['volunteer_id'] = $volunteerid;
          if($request->generate_ticket[$key] == 'Y'){
            $newticket = Ticket::updateOrCreate(
                $tiketid,
                $ticket
              );
              $input['tbtu_ticket_id'] = $newticket->id;  
          }
          TrainingBatchTraineesUpdate::updateOrCreate(
            ['id' => $request->training_batch_trainees_updates[$key]],
            $input
          );
          $VolWhere['vlntr_id']= $volunteerid;
          $vinputs['vlntr_add_skills'] = $request->volunteer_skills[$key];
          $vinputs['vlntr_notes'] = $request->volunteer_notes[$key];
          Volunteer::updateOrCreate(
            $VolWhere,
            $vinputs
          );  
        }
        if($close == "C"){
          $batch = TrainingBatch::where('id',$request->batch_id)->first();
          $batch->batch_status = "C";
          $batch->update();
          $traine = TrainingBatchTraineesUpdate::where('tbtu_batch_id', $request->batch_id)->where('tbtu_status', "P");
          $traine->delete();
        }
        
        return redirect()->back()->with('success' , 'Updated Successfully');
    }

      public function volunteer_notes_old(Request $request , $close = ""){
        foreach ($request->attendence as $key => $value) {
          $input['attendence'] = $value;
          $input['generate_ticket'] = $request->generate_ticket[$key];
          $input['volunteer_skills'] = $request->volunteer_skills[$key];
          $input['volunteer_notes'] = $request->volunteer_notes[$key];
          $input['ticket_title'] = $request->ticket_title[$key];
          $input['ticket_priority'] = $request->ticket_priority[$key];
          $input['ticket_desc'] = $request->ticket_desc[$key];
          $input['training_batch_trainees_updates'] = $request->training_batch_trainees_updates[$key];
          $input['updated_by'] = Auth::user()->id;
          TrainingBatchNotesUpdate::updateOrCreate(
            ['training_batch_trainees_updates' => $request->training_batch_trainees_updates[$key]],
            $input
          );  
        }
        if($close == "C"){
          $batch = TrainingBatch::where('id',$request->batch_id)->first();
          $batch->batch_status = "C";
          $batch->update();
          $traine = TrainingBatchTraineesUpdate::where('tbtu_batch_id', $request->batch_id)->where('tbtu_status', "P");
          $traine->delete();
        }
        
        return redirect()->back()->with('success' , 'Updated Successfully');
    }

    public function applications(Request $request){
        $applications = Application::whereStatus('P')->get();
        return view('admin.volunteer.applications' , compact('applications'));
        
    }
    public function app_show($id){
        $item = Application::find($id);
        return view('admin.volunteer.application-show' , compact('item'));
    }

    public function app_status($id , $status){

       $application = Application::find($id);
       $application->status = $status;
       $application->update();
       return redirect()->back()->with('success' , "Updated Successfully");
    }

}