<?php

namespace App\Http\Controllers\TipUser;

use App\Http\Controllers\Controller;

use Illuminate\Http\Request;
use App\Models\TrainingBatchTrainers;
use App\Models\TrainingBatch;
use App\Models\User;
use Auth;
use Illuminate\Support\Facades\Mail;

class BatchesController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $id = Auth::user()->id;
        $batch = TrainingBatch::where('batch_status', 'A')->get();
        //TrainingBatchTrainers::where('tbt_trainer_id', $id)->orWhere('tbt_standbytrainer_id', $id)->get();
        
        return  view('tip-users.batches.index',compact('batch'));
    }

    public function update(Request $request, $id)
    {
        $trainer=TrainingBatchTrainers::where('tbt_batch_id', $id)->first();//TrainingBatchTrainers::findorfail($id);
        $sendmail = false;
        if(Auth::user()->id == $trainer->tbt_trainer_id)
        {    
            $trainer->tbt_trainer_id=null;  
            $sendmail = true;
        }
        else
            $trainer->tbt_standbytrainer_id =null;
        $trainer->update();
        if($sendmail == true && $trainer->tbt_standbytrainer_id != null){
            $user = User::find($trainer->tbt_standbytrainer_id);
            $to = $user->email;
            $subject = "Trainer Dropout";
            $text="You are now main trainer";
            $cname = $user->first_name;
            $link = route('tip.batches.index');
            Mail::send('email.application', ['cname' => $cname, 'text' => $text, 'link' => $link], function ($message) use ($cname , $to , $subject) {
                $message->to($to , $cname);
                $message->subject($subject);
                $message->from(env('MAIL_FROM_ADDRESS') , 'Tip User');
        
            });
        }
        return back()->with('success' , 'Submitted Successfully');
        // send email to stand by trainer
    }
    public function optin(Request $request, $id)
    {    
        $trainer=TrainingBatchTrainers::where('tbt_batch_id', $id)->first();
        $data['tbt_batch_id'] = $id;   
        if($request->trainer=='Main')
        {
            if($trainer->tbt_standbytrainer_id == Auth::user()->id)
                $data['tbt_standbytrainer_id'] = null;
            $data['tbt_trainer_id'] =  Auth::user()->id;
        }else
        {
            if($trainer->tbt_trainer_id == Auth::user()->id)
                return redirect()->back()->with('error' , "Can not downgrade from main to standby trainer.");
            $data['tbt_standbytrainer_id'] =  Auth::user()->id;
        }
        $data['tbt_status'] = 'A';
        $data['updated_by'] = Auth::user()->id;
        TrainingBatchTrainers::updateOrCreate([
            'tbt_batch_id' => $id
        ],
        $data);
    return redirect()->back()->with('success' , "Opt-In Successfully");
        /*$trainer=TrainingBatchTrainers::findorfail($id);
        $trainer->tbt_trainer_id=null;
        $trainer->update();
        $user = User::find($trainer->tbt_standbytrainer_id);
        $to = $user->email;
        $subject = "Trainer Dropout";
        $text="You are now main trainer";
        $cname = $user->first_name;
        $link = route('tip.batches.index');
        Mail::send('email.application', ['cname' => $cname, 'text' => $text, 'link' => $link], function ($message) use ($cname , $to , $subject) {
            $message->to($to , $cname);
            $message->subject($subject);
            $message->from(env('MAIL_FROM_ADDRESS') , 'Tip User');
    
        });
        return back()->with('success' , 'Submitted Successfully');*/
    }
    
   public function volunteers($id){
        $traines = TrainingBatchTraineesUpdate::where('tbt_batch_id' , $id)->where("tbtu_status","A")->get();
        return view('tip-users.batches.volunteer' , compact('traines'));
   }
}
