<?php

namespace App\Http\Controllers\Volunteer;

use App\Http\Controllers\Controller;
use App\Models\Volunteer;
use App\Models\TrainingBatchTraineesUpdate;
use App\Models\TrainingBatch;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Carbon\Carbon;

class TrainingController extends Controller
{
    public function index(){
        // return view('volunteer.training.index');
    }

    public function all_batch($id=""){
        $batch=Volunteer::where('vlntr_id', Auth::user()->id)->get();
        $trainee= TrainingBatchTraineesUpdate::where('tbtu_trainee_id', "!=" ,Auth::user()->id)->get();
        $ids = [];
        foreach ($trainee as $key => $value) {
            $ids[] = $value->tbtu_batch_id;
        }
        $mytime = Carbon::now();
        $c_date= $mytime->toDateString();
        if($id == "")
        $training =  TrainingBatch::where('batch_status','A')->where('batch_date' ,'>=',$c_date)->get();
        else
        $training =  TrainingBatch::where('batch_status','A')->where('batch_date' ,'>=',$c_date)->where('id' , '!=' , $id)->get();
        return view('volunteer.training-batch.index', compact('training' , 'trainee'));
    }

    public function confirm_batch($batchid){
        $batchinfo = TrainingBatch::where('id',$batchid)->first();
        $startdatetime = ((new Carbon)->parse($batchinfo->batch_date.' '.$batchinfo->batch_starttime));
        $newDateTime = Carbon::now()->addHours(6);
        if($startdatetime<$newDateTime)
        {
            return redirect()->route('volunteer.training.index')->with('error','This training batch has already closed. Please select another batch');
        }

        $confrm = TrainingBatchTraineesUpdate::where('tbtu_trainee_id' , Auth::user()->id)->where('tbtu_status', 'P')
            ->orwhere('tbtu_trainee_id' , Auth::user()->id)->where('tbtu_status', 'A')->first();
        // dd($confrm);
        if($confrm != null){
            $confrm->tbtu_batch_id = $batchid;
            $confrm->tbtu_status= "A";
            $confrm->update();
        }else{
            $lan = new TrainingBatchTraineesUpdate();
            $lan->tbtu_trainee_id = Auth::user()->id;
            $lan->tbtu_batch_id = $batchid;
            $lan->tbtu_status= "A";
            $lan->save();
        }
        //foreach(TrainingBatchTraineesUpdate::where('tbtu_trainee_id', "!=" ,Auth::user()->id)->where('tbtu_status', 'P')->get() as $b){
        //    $b->delete();
        //}
        return redirect()->route('volunteer.training.index')->withSuccess('Confirmed Successfully');
    }


}
