<?php

namespace App\Http\Controllers\Volunteer;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\User;
use App\Models\UserAction;
use Auth;

class UsersController extends Controller
{
    public function index(Request $request){
        //return view('admin.users.index');
        return view('volunteer.updateprofile');
    }

    public function updateprofile(Request $request,$id){
        $validated = $request->validate([
            'first_name' => ['required', 'string', 'max:20'],
            'last_name' => ['required', 'string', 'max:20'],
            'phoneno' => ['required', 'numeric','min:1000000', 'max:99999999999999999999'],
            'city' => ['required', 'string', 'max:50'],
            'address_one' => ['required', 'string', 'max:255'],
            'address_two' => [ 'string', 'max:255'],
            'postal_code' => ['numeric','max:999999'],
            'province' => ['required'],
        ]);
        //'email' => ['required', 'string', 'email', 'max:255'],
        $data['first_name'] = $request->first_name;
        $data['last_name'] = $request->last_name;
        //$data['email'] = $request->email;
        $data['phone'] = $request->phoneno;
        $data['address_one'] = $request->address_one;
        $data['address_two'] = $request->address_two;
        $data['city'] = $request->city;
        $data['postal_code'] = $request->postal_code;
        $data['user_type'] = $request->user_type;
        
        $data['province'] = $request->province;
        $data['updated_by'] = Auth::user()->id;
        $user = User::updateOrCreate([
            'id' => $id,
        ],$data);
        UserAction::create([
            'first_name' => $data['first_name'],
            'last_name' => $data['last_name'],
            'email' => $user->email,
            'phone' => $data['phone'],
            'address_one' => $data['address_one'],
            'address_two' => $data['address_two'],
            'city' => $data['city'],
            'postal_code' => $data['postal_code'],
            'uname' => $user->uname,
            'user_type' =>$data['user_type'],
            'created_by' =>$user->id,
            'user_id' =>$user->id,
            'act_abbreviation' => 'updated',
            'password' => $user->password,
        ]);
        return redirect()->back()->with('success' , "Info Updated Successfully");
    }
}
