<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TrainingBatch extends Model
{
    use HasFactory;
    protected $fillable = [
        'is_mandatory',
        'batch_no',
        'batch_title',
        'batch_desc',
        'batch_date',
        'batch_starttime',
        'batch_duration',
        'batch_max_trainee',
        'batch_status',
        'batch_zoomlink',
        'updated_by',
        'createdby',


    ];

    function batch(){
        return $this->hasMany('App\Models\TrainingBatchTrainers', 'tbt_batch_id');
   }
   function isMainTrainer($trainerid)
   {
        return $this->batch()->where('tbt_trainer_id',$trainerid)->where('tbt_type','M')->count() > 0 ? true : false;
   }
   function isStandByTrainer($trainerid)
   {
        return $this->batch()->where('tbt_trainer_id',$trainerid)->where('tbt_type','S')->count() > 0 ? true : false;
   }
   function p_batch(){
    return $this->hasMany('App\Models\TrainingBatchTraineesUpdate', 'tbtu_batch_id')->where('tbtu_status',"P")->count();
    }

    function c_batch(){
        return $this->hasMany('App\Models\TrainingBatchTraineesUpdate', 'tbtu_batch_id')->where('tbtu_status',"A")->count();;
    }

    public function trainees(){
        return $this->hasMany('App\Models\TrainingBatchTraineesUpdate', 'tbtu_batch_id');
    }

    public function attended_trainers(){
        $id = $this->id;
        return $this->whereRelation('trainees' , function($query) use ($id){
            return $query->where('tbtu_attendance' , "Y")->where("tbtu_batch_id",$id);
        })->count();
    }

    public function isMand($batchid){
        return TrainingBatch::whereisMandatory('mandatory')->where('id',$batchid)->count() > 0 ? true : false;
    }
    

    public function checkMend($id){
        return TrainingBatch::whereisMandatory('mandatory')->where('batch_status','C')->whereHas('trainees' , function ($query ) use($id) {
            return $query->where('tbtu_trainee_id', $id)
            ->where('tbtu_status' , 'C')->where('tbtu_attendance' , 'Y');
        })->count() > 0 ? true : false;
    }
    
    public function checkBooked($id){
        /*if($this->whereisMandatory('mandatory')->whereHas('trainees' , function ($query ) use($id) {
            return $query->where('tbtu_trainee_id', $id)
            ->where('tbtu_status' , 'C');
        })->count() > 0) 
            return true;*/
        return $this->where('batch_status','A')->whereHas('trainees' , function ($query ) use($id) {
            return 
            $query->where('tbtu_trainee_id', $id)
            ->where('tbtu_status','A')
            ->orwhere('tbtu_trainee_id', $id)
            ->where('tbtu_status','P');
        })->count() > 0 ? true : false;
    }
    public function checkConfirmed($id){
        return $this->whereHas('trainees' , function ($query ) use($id) {
            return 
            $query->where('tbtu_trainee_id', $id)
            ->where('tbtu_status','A');
        })->count() > 0 ? true : false;
    }
    public function checkBatch($id,$batchid){
        return $this->whereHas('trainees' , function ($query ) use($id,$batchid) {
            return 
            $query->where('tbtu_trainee_id', $id)
            ->where('tbtu_batch_id',$batchid)
            ->where('tbtu_status','A');
        })->count() > 0 ? true : false;
    }
    public function checkProvBatch($id,$batchid){
        return $this->whereHas('trainees' , function ($query ) use($id,$batchid) {
            return 
            $query->where('tbtu_trainee_id', $id)
            ->where('tbtu_batch_id',$batchid)
            ->where('tbtu_status','P');
        })->count() > 0 ? true : false;
    }


}
