@extends('admin.include.main')
@section('title')
Closed Training Batch
@endsection
@section('content')

    <div class="card">
        <div class="card-header">
            <div class="row w-100">
                <div class="col-6">
                    <div class="card-title mt-3">Closed Training Batch</div>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr> 
                            <th>Batch No</th>
                            <th>Date</th>
                            <th>Time </th>
                            <th>Duration</th>
                            <th>Attended</th>
                            <th>Trainers</th>
                            <th>Report</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($training as $item)
                            <tr class="table-subheader @if ($item->is_mandatory == 'special') table-success @endif">
                                <td>{{ $item->batch_no }}</td>
                                <td>{{ $item->batch_date }}</td>
                                <td>{{ date('h:i A', strtotime($item->batch_starttime)) }}</td>
                                <td>{{ $item->batch_duration }}</td>
                                <td>{{ $item->attended_trainers() }} of {{ $item->batch_max_trainee }}</td>
                                @if ($item->batch == null)
                                    <td> No trainer yet assign</td>
                                @else
                                    <td>
                                    @foreach($item->batch as $batchtrainer)
                                        @if ($batchtrainer->tbt_type == 'M')
                                            [M] {{ $batchtrainer->main_trainer->get_name() }}<br />
                                        @elseif ($batchtrainer->tbt_type == 'MD')
                                            <span style="font-weight:bold;color:red">[M]  None</span>
                                        @endif
                                        
                                        @if ($batchtrainer->tbt_type == 'S')
                                            [S] {{ $batchtrainer->main_trainer->get_name() }}<br />
                                        @endif
                                    @endforeach
                                    <td>
                                @endif
                                <td style="align:left">
                                    <a data-bs-toggle="modal"
                                    class="btn btn-primary m-1"
                                    data-bs-target="#modelreport{{ $item->id }}">
                                    Report</a>
                               
                                    <div class="modal fade" id="modelreport{{ $item->id }}" tabindex="-1" role="dialog" aria-labelledby="normalmodal" aria-hidden="true">
                                        <div class="modal-dialog modal-lg" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title"
                                                        id="normalmodal1"> Report of {{ $item->batch_no }}
                                                    </h5>
                                                    <button type="button"
                                                        class="btn-close"
                                                        data-bs-dismiss="modal"Report
                                                        aria-label="Close">
                                                        <span aria-hidden="true">×</span>
                                                    </button>
                                                </div>
                                                    <div class="modal-body">
                                                        
                                        <div class="modal-body">
                                            @foreach ($item->trainees as $train)
                                                
                                            <div class="row">
                                                <div class="col-4"><strong>Name: </strong>{{ucfirst($train->user->get_name())}}</div>
                                                <div class="col-4">
                                                    <div class="form-group">
                                                        <div class="form-check">
                                                            <label class="form-check-label" for="attendece{{$train->id}}">
                                                                <strong>Attended Training:</strong>  @if($train->tbtu_attendance != null && $train->tbtu_attendance == "Y") Yes @else No @endif 
                                                            </label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-4">
                                                    <div class="form-group">
                                                        <div class="form-check">
                                                            <label class="form-check-label" for="gticket{{$train->id}}">
                                                                <strong>Generated Ticket:</strong> @if( $train->tbtu_ticket_id != null && $train->tbtu_ticket_id > 0 ) Yes @else No @endif
                                                            </label>
                                                            </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="att{{$train->id}}" @if($train->tbtu_attendance != "Y") style="display: none" @endif> 
                                                <div class="row">
                                                    <div class="col-6">
                                                        <label for="skills{{$item->id}}"><strong>Skills:</strong> {{$train->tbtu_skills}}</label>
                                                    </div>
                                                    <div class="col-6">
                                                        <label for="notes{{$item->id}}"><strong>Notes:</strong>  {{$train->tbtu_notes}}</label>                                                    
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="more{{$train->id}}"  @if($train->tbtu_ticket_id == null) style="display: none" @endif>
                                                <div class="row">
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="ttile{{$item->id}}"><strong>Ticket Title:</strong> @if($train->tbtu_ticket_id != null) {{$train->ticket->subject}} @endif</label>
                                                        </div>    
                                                    </div>

                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="batch_date"></label><strong>Ticket Priority:</strong> @if($train->tbtu_ticket_id != null) {{$train->ticket->type}} @endif: 
                                                        </div>    
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-6">
                                                        <div class="form-group">
                                                            <label for="ticket_desc{{$item->id}}"><strong>Ticket Description:</strong> @if($train->tbtu_ticket_id !=null) {{$train->ticket->description}} @endif</label>
                                                          </div>    
                                                    </div>
                                                </div>
                                            </div>

                                            <hr>

                                            @endforeach
                                        </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>

                            </tr>
                        @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div>



@endsection
@section('script')
    <script>
        $(document).on("click", ".trainee", function() {
            var t = ($(this).val());
            b = $(this).data('batch');
            console.log(b);
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': "{{ csrf_token() }}",
                }
            });
            $.ajax({
                url: "{{ route('admin.training.trainee_check') }}",
                type: "GET",
                data: {
                    trainee_id: t,
                    batch_id: b,
                },
                success: function(result) {
                    if (result.status == "1") {
                        $("#trainee").val(result.trainee);
                        $("#batch").val(result.batch);
                        var myModal = new bootstrap.Modal(document.getElementById('largemodal1'), {
                            keyboard: false
                        })
                        myModal.show();

                        var myModal = document.getElementById('largemodal');
                        var modal = bootstrap.Modal.getInstance(
                            myModal) // Returns a Bootstrap modal instance
                        modal.hide();



                    }
                }


            });

        });
    </script>

    <script>
        $('.traine').on('click', function() {
            id = $(this).data('id');
            console.log(id);
            $('#home' + id).load($(this).data('href'));
        });
    </script>

@endsection
