@extends('admin.include.main')
@section('title')
Update Profile
@endsection
@section('content')
<div class="container">
    <div class="row">
        <div class="col mx-auto">
            <div class="row justify-content-center">
                <div class="col-md-7 col-lg-8">
                    <div class="card card-group mb-0">
                        <div class="card p-4">
                            <div class="card-body">
                                <div class="text-center title-style mb-6">
                                    <h1 class="mb-2">Update Profile</h1>
                                    <hr>
                                    <p class="text-muted">Update Account Info</p>
                                    <form method="POST" action="{{ route('admin.update.profile',Auth::user()->id) }}">
                                        @csrf
                                        
                                        <div class="row">
                                            <div class="col-6">

                                                <div class="input-group mb-3">
                                                    <span class="input-group-addon"><svg
                                                            class="svg-icon"
                                                            xmlns="http://www.w3.org/2000/svg" height="24"
                                                            viewBox="0 0 24 24" width="24">
                                                            <path d="M0 0h24v24H0V0z" fill="none" />
                                                            <path
                                                                d="M12 16c-2.69 0-5.77 1.28-6 2h12c-.2-.71-3.3-2-6-2z"
                                                                opacity=".3" />
                                                            <circle cx="12" cy="8" opacity=".3" r="2" />
                                                            <path
                                                                d="M12 14c-2.67 0-8 1.34-8 4v2h16v-2c0-2.66-5.33-4-8-4zm-6 4c.22-.72 3.31-2 6-2 2.7 0 5.8 1.29 6 2H6zm6-6c2.21 0 4-1.79 4-4s-1.79-4-4-4-4 1.79-4 4 1.79 4 4 4zm0-6c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2 .9-2 2-2z" />
                                                        </svg>
                                                    </span>
                                                    <input id="first_name" type="text"
                                                        placeholder="Enter First Name"
                                                        class="form-control @error('first_name') is-invalid @enderror"
                                                        name="first_name" value="{{ Auth::user()->first_name }}"
                                                        required autocomplete="first_name" autofocus>
                                                    @error('first_name')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                            <div class="col-6">

                                                <div class="input-group mb-3">
                                                    <span class="input-group-addon"><svg
                                                            class="svg-icon"
                                                            xmlns="http://www.w3.org/2000/svg" height="24"
                                                            viewBox="0 0 24 24" width="24">
                                                            <path d="M0 0h24v24H0V0z" fill="none" />
                                                            <path
                                                                d="M12 16c-2.69 0-5.77 1.28-6 2h12c-.2-.71-3.3-2-6-2z"
                                                                opacity=".3" />
                                                            <circle cx="12" cy="8" opacity=".3" r="2" />
                                                            <path
                                                                d="M12 14c-2.67 0-8 1.34-8 4v2h16v-2c0-2.66-5.33-4-8-4zm-6 4c.22-.72 3.31-2 6-2 2.7 0 5.8 1.29 6 2H6zm6-6c2.21 0 4-1.79 4-4s-1.79-4-4-4-4 1.79-4 4 1.79 4 4 4zm0-6c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2 .9-2 2-2z" />
                                                        </svg></span>
                                                    <input id="last_name" type="text"
                                                        placeholder="Enter Last Name"
                                                        class="form-control @error('last_name') is-invalid @enderror"
                                                        name="last_name" value="{{ Auth::user()->last_name }}"
                                                        required autocomplete="last_name" autofocus>
                                                    @error('last_name')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">

                                            <div class="col-6">

                                                <div class="input-group mb-3">
                                                    <span class="input-group-addon"><svg
                                                            class="svg-icon"
                                                            xmlns="http://www.w3.org/2000/svg" height="24"
                                                            viewBox="0 0 24 24" width="24">
                                                            <path d="M0 0h24v24H0V0z" fill="none" />
                                                            <path d="M20 8l-8 5-8-5v10h16zm0-2H4l8 4.99z"
                                                                opacity=".3" />
                                                            <path
                                                                d="M4 20h16c1.1 0 2-.9 2-2V6c0-1.1-.9-2-2-2H4c-1.1 0-2 .9-2 2v12c0 1.1.9 2 2 2zM20 6l-8 4.99L4 6h16zM4 8l8 5 8-5v10H4V8z" />
                                                        </svg></span>
                                                    <input id="email" type="email" placeholder="Enter Email"
                                                        class="form-control @error('email') is-invalid @enderror"
                                                        name="email" value="{{ Auth::user()->email }}" required
                                                        autocomplete="email" autofocus disabled>
                                                    @error('email')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                            <div class="col-6">

                                                <div class="input-group mb-3">

                                                    <span class="input-group-addon">
                                                        <svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 0 24 24" width="24"><path d="M0 0h24v24H0V0z" fill="none"></path><path d="M15.2 18.21c1.21.41 2.48.67 3.8.76v-1.5c-.88-.07-1.75-.22-2.6-.45l-1.2 1.19zM6.54 5h-1.5c.09 1.32.35 2.59.75 3.79l1.2-1.21c-.24-.83-.39-1.7-.45-2.58zM14 8h5V5h-5z" opacity=".3"></path><path d="M20 15.5c-1.25 0-2.45-.2-3.57-.57-.1-.03-.21-.05-.31-.05-.26 0-.51.1-.71.29l-2.2 2.2c-2.83-1.44-5.15-3.75-6.59-6.58l2.2-2.21c.28-.27.36-.66.25-1.01C8.7 6.45 8.5 5.25 8.5 4c0-.55-.45-1-1-1H4c-.55 0-1 .45-1 1 0 9.39 7.61 17 17 17 .55 0 1-.45 1-1v-3.5c0-.55-.45-1-1-1zM5.03 5h1.5c.07.88.22 1.75.46 2.59L5.79 8.8c-.41-1.21-.67-2.48-.76-3.8zM19 18.97c-1.32-.09-2.6-.35-3.8-.76l1.2-1.2c.85.24 1.72.39 2.6.45v1.51zM12 3v10l3-3h6V3h-9zm7 5h-5V5h5v3z"></path></svg>
                                                    </span>
                                                    <input id="phoneno" type="tel"
                                                        placeholder="Enter Phone Number"
                                                        class="form-control @error('phoneno') is-invalid @enderror"
                                                        name="phoneno" value="{{ Auth::user()->phone }}" required
                                                        autocomplete="phoneno" autofocus >
                                                    @error('phoneno')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-6">
                                                <div class="input-group mb-3">
                                                    <span class="input-group-addon">
                                                        <svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24" height="24" viewBox="0 0 24 24" width="24"><path d="M18.5,10.2c0,2.57-2.1,5.79-6.16,9.51L12,20.01l-0.34-0.31C7.6,15.99,5.5,12.77,5.5,10.2 c0-3.84,2.82-6.7,6.5-6.7S18.5,6.35,18.5,10.2z" fill-opacity=".3"></path><path d="M12,2c4.2,0,8,3.22,8,8.2c0,3.32-2.67,7.25-8,11.8c-5.33-4.55-8-8.48-8-11.8C4,5.22,7.8,2,12,2z M18,10.2 C18,6.57,15.35,4,12,4s-6,2.57-6,6.2c0,2.34,1.95,5.44,6,9.14C16.05,15.64,18,12.54,18,10.2z M12,12c-1.1,0-2-0.9-2-2s0.9-2,2-2 s2,0.9,2,2S13.1,12,12,12z"></path><path d="M0,0h24v24H0V0z" fill="none"></path></svg>
                                                    </span>
                                                    <input id="address_one" type="text"
                                                        placeholder="Enter Address"
                                                        class="form-control @error('address_one') is-invalid @enderror"
                                                        name="address_one" value="{{ Auth::user()->address_one }}"
                                                        required autocomplete="address_one" autofocus>
                                                    @error('address_one')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                            <input type="hidden" value="Admin" name="user_type">
                                            <div class="col-6">
                                                <div class="input-group mb-3">
                                                    <span class="input-group-addon">
                                                        <svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 0 24 24" width="24"><path d="M0 0h24v24H0V0z" fill="none"></path><path d="M6.5 10h-2v7h2v-7zm6 0h-2v7h2v-7zm8.5 9H2v2h19v-2zm-2.5-9h-2v7h2v-7zm-7-6.74L16.71 6H6.29l5.21-2.74m0-2.26L2 6v2h19V6l-9.5-5z"></path></svg>
                                                    </span>
                                                    <input id="address_two" type="text"
                                                        placeholder="Enter Address Two"
                                                        class="form-control @error('address_two') is-invalid @enderror"
                                                        name="address_two" value="{{ Auth::user()->address_two }}"
                                                        required autocomplete="address_two" autofocus>
                                                    @error('address_two')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-6">

                                                <div class="input-group mb-3">
                                                    <span class="input-group-addon">
                                                        <svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 0 24 24" width="24"><path d="M0 0h24v24H0V0z" fill="none"></path><path d="M5.08 8h2.95c.32-1.25.78-2.45 1.38-3.56-1.84.63-3.37 1.9-4.33 3.56zm2.42 4c0-.68.06-1.34.14-2H4.26c-.16.64-.26 1.31-.26 2s.1 1.36.26 2h3.38c-.08-.66-.14-1.32-.14-2zm-2.42 4c.96 1.66 2.49 2.93 4.33 3.56-.6-1.11-1.06-2.31-1.38-3.56H5.08zM12 4.04c-.83 1.2-1.48 2.53-1.91 3.96h3.82c-.43-1.43-1.08-2.76-1.91-3.96zM18.92 8c-.96-1.65-2.49-2.93-4.33-3.56.6 1.11 1.06 2.31 1.38 3.56h2.95zM12 19.96c.83-1.2 1.48-2.53 1.91-3.96h-3.82c.43 1.43 1.08 2.76 1.91 3.96zm2.59-.4c1.84-.63 3.37-1.91 4.33-3.56h-2.95c-.32 1.25-.78 2.45-1.38 3.56zM19.74 10h-3.38c.08.66.14 1.32.14 2s-.06 1.34-.14 2h3.38c.16-.64.26-1.31.26-2s-.1-1.36-.26-2zM9.66 10c-.09.65-.16 1.32-.16 2s.07 1.34.16 2h4.68c.09-.66.16-1.32.16-2s-.07-1.35-.16-2H9.66z" opacity=".3"></path><path d="M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zm6.93 6h-2.95c-.32-1.25-.78-2.45-1.38-3.56 1.84.63 3.37 1.91 4.33 3.56zM12 4.04c.83 1.2 1.48 2.53 1.91 3.96h-3.82c.43-1.43 1.08-2.76 1.91-3.96zM4.26 14C4.1 13.36 4 12.69 4 12s.1-1.36.26-2h3.38c-.08.66-.14 1.32-.14 2s.06 1.34.14 2H4.26zm.82 2h2.95c.32 1.25.78 2.45 1.38 3.56-1.84-.63-3.37-1.9-4.33-3.56zm2.95-8H5.08c.96-1.66 2.49-2.93 4.33-3.56C8.81 5.55 8.35 6.75 8.03 8zM12 19.96c-.83-1.2-1.48-2.53-1.91-3.96h3.82c-.43 1.43-1.08 2.76-1.91 3.96zM14.34 14H9.66c-.09-.66-.16-1.32-.16-2s.07-1.35.16-2h4.68c.09.65.16 1.32.16 2s-.07 1.34-.16 2zm.25 5.56c.6-1.11 1.06-2.31 1.38-3.56h2.95c-.96 1.65-2.49 2.93-4.33 3.56zM16.36 14c.08-.66.14-1.32.14-2s-.06-1.34-.14-2h3.38c.16.64.26 1.31.26 2s-.1 1.36-.26 2h-3.38z"></path></svg>
                                                    
                                                    </span>
                                                    <input id="postal_code" type="text"
                                                        placeholder="Enter Postal Code"
                                                        class="form-control @error('postal_code') is-invalid @enderror"
                                                        name="postal_code"
                                                        value="{{ Auth::user()->postal_code }}" required
                                                        autocomplete="postal_code" autofocus>
                                                    @error('postal_code')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                            <div class="col-6">

                                                <div class="input-group mb-3">
                                                    <span class="input-group-addon">
                                                        <svg class="svg-icon" xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 0 24 24" width="24"><path d="M0 0h24v24H0V0z" fill="none"></path><path d="M5 5h4v4H5zm10 10h4v4h-4zM5 15h4v4H5zM16.66 4.52l-2.83 2.82 2.83 2.83 2.83-2.83z" opacity=".3"></path><path d="M16.66 1.69L11 7.34 16.66 13l5.66-5.66-5.66-5.65zm-2.83 5.65l2.83-2.83 2.83 2.83-2.83 2.83-2.83-2.83zM3 3v8h8V3H3zm6 6H5V5h4v4zM3 21h8v-8H3v8zm2-6h4v4H5v-4zm8-2v8h8v-8h-8zm6 6h-4v-4h4v4z"></path></svg>
                                                        </span>
                                                    <input id="city" type="text"
                                                        placeholder="Enter City"
                                                        class="form-control @error('city') is-invalid @enderror"
                                                        name="city"
                                                        value="{{ Auth::user()->city }}" required
                                                        autocomplete="city" autofocus>
                                                    @error('city')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                            
                                        </div>
                                        <div class="row">
                                            <div class="col-6">

                                                <div class="input-group mb-3">
                                                    <span class="input-group-addon">
                                                        {{-- <svg
                                                            class="svg-icon"
                                                            xmlns="http://www.w3.org/2000/svg" height="24"
                                                            viewBox="0 0 24 24" width="24">
                                                            <path d="M0 0h24v24H0V0z" fill="none" />
                                                            <path
                                                                d="M12 16c-2.69 0-5.77 1.28-6 2h12c-.2-.71-3.3-2-6-2z"
                                                                opacity=".3" />
                                                            <circle cx="12" cy="8" opacity=".3" r="2" />
                                                            <path
                                                                d="M12 14c-2.67 0-8 1.34-8 4v2h16v-2c0-2.66-5.33-4-8-4zm-6 4c.22-.72 3.31-2 6-2 2.7 0 5.8 1.29 6 2H6zm6-6c2.21 0 4-1.79 4-4s-1.79-4-4-4-4 1.79-4 4 1.79 4 4 4zm0-6c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2 .9-2 2-2z" />
                                                        </svg> --}}
                                                        <svg class="svg-icon" 
                                                        xmlns="http://www.w3.org/2000/svg" 
                                                        height="24" viewBox="0 0 24 24" width="24">
                                                            <path
                                                                d="M0 0h24v24H0V0z" fill="none">
                                                                </path>
                                                                <circle cx="12" cy="8" opacity=".3" r="2" />
                                                                <path 
                                                                d="M6.5 10h-2v7h2v-7zm6 0h-2v7h2v-7zm8.5 9H2v2h19v-2zm-2.5-9h-2v7h2v-7zm-7-6.74L16.71 6H6.29l5.21-2.74m0-2.26L2 6v2h19V6l-9.5-5z"
                                                                >
                                                                    </path></svg>
                                                    </span>
                                                    
                                                        @php
                                                            $pro = array("Ontario"=>"ON","Nova Scotia"=>"NS","Manitoba"=>"MB","British Columbia"=>"BC","Prince Edward Island"=>"PE","Saskatchewan"=>"SK","Alberta"=>"AB","Newfoundland and Labrador"=>"NL","New Brunswick"=>"NB","Quebec"=>"QC");
                                                        @endphp
                                                        
                                                        <select name="province" class="form-control" id="">
                                                            <option value="">Select Province</option>
                                                            @foreach ($pro as $key=> $value)
                                                            @if(($key.'( '.$value.' )')==Auth::user()->province)
                                                                <option value="{{$key}}( {{$value}} )" selected >{{$key}} ({{$value}})</option>
                                                            @else
                                                                <option value="{{$key}}( {{$value}} )" >{{$key}} ({{$value}})</option>
                                                            @endif
                                                        @endforeach
                                                        </select>
                                                    @error('username')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                            
                                            <div class="col-6">

                                                <div class="input-group mb-3">
                                                    <span class="input-group-addon"><svg
                                                            class="svg-icon"
                                                            xmlns="http://www.w3.org/2000/svg" height="24"
                                                            viewBox="0 0 24 24" width="24">
                                                            <path d="M0 0h24v24H0V0z" fill="none" />
                                                            <path
                                                                d="M12 16c-2.69 0-5.77 1.28-6 2h12c-.2-.71-3.3-2-6-2z"
                                                                opacity=".3" />
                                                            <circle cx="12" cy="8" opacity=".3" r="2" />
                                                            <path
                                                                d="M12 14c-2.67 0-8 1.34-8 4v2h16v-2c0-2.66-5.33-4-8-4zm-6 4c.22-.72 3.31-2 6-2 2.7 0 5.8 1.29 6 2H6zm6-6c2.21 0 4-1.79 4-4s-1.79-4-4-4-4 1.79-4 4 1.79 4 4 4zm0-6c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2 .9-2 2-2z" />
                                                        </svg></span>
                                                    <input id="uname" type="text"
                                                        placeholder="Enter Username"
                                                        class="form-control @error('postal_code') is-invalid @enderror"
                                                        name="uname" value="{{ Auth::user()->uname }}"
                                                        required autocomplete="username" autofocus disabled >
                                                    @error('username')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                        </div>                                       
                                        <div class="row">
                                            <div class="col-12 text-center">
                                                <button type="submit"
                                                    class="btn  btn-lg btn-primary  px-4">
                                                        Update Info</button>
                                            </div>
                                        </div>
                                </div>
                            </div>
                            </form>
                        </div>
                    </div>
                </div>
@endsection