@extends('admin.include.main')
@section('title')
Volunteers
@endsection
@section('content')
    <div class="card">
        <div class="card-header">
            <div class="row w-100">
                <div class="col-12">
                    <div class="card-title">
                        Volunteer</div>
                </div>
            </div>
        </div>
        
        <div class="card-body">
            <form action="{{route('admin.volunteer.filter')}}" method="post">
                @csrf
                <div class="row w-100">
                    <div class="col-4">
                        <label>Select Color: </label>
                        <select name="color" class="form-control">
                            <option ></option>
                            <option value="Green">Green</option>
                            <option value="Amber">Amber</option>
                            <option value="Red">Red</option>
                        </select>
                    </div>
                    <div class="col-4">
                        <label>Select Hold Status: </label>
                        <select name="hold" class="form-control">
                            <option ></option>
                            <option value="H">Hold</option>
                            <option value="U">UnHold</option>
                        </select>
                    </div>
                    <div class="col-4">
                        <label>Select Active Status: </label>
                        <select name="act" class="form-control">
                            <option ></option>
                            <option value="A">Active</option>
                            <option value="D">Deactive</option>
                        </select>
                    </div>
                </div>
                <div class="row w-100 mt-3">
                    <div class="col-4">
                        <label>Select Task: </label>
                        <select name="task" class="form-control">
                            <option ></option>
                            <option value="E">Empathy Calls</option>
                            <option value="O">Other Task</option>
                        </select>
                    </div>
                    <div class="col-4 mt-5 text-center">
                        <button class="btn btn-primary" type="submit">Apply Filter</button>
                    </div>
                </div>
            </form>
            <div class="table-responsive datatble-filter mt-5">

                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Color</th>
                            <th>Name</th>
                            <th>Age/Gender</th>
                            <th>Langs</th>
                            <th>Batch</th>
                            <th>Clients</th>
                            <th style="text-align:center">Contract <br />End</th>
                            <th>Status</th>
                            <th>Tasks</th>
                            <th style="text-align:center">Add. <br />Skills</th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($volntr as $item)
                            <tr class="table-subheader @if ($item->unregistered<>'R') table-danger @endif">
                                <td><div class='colorbox {{ strtolower($item->vlntr_assign_color) }}'></div></td>
                                <td>{{ $item->vlntr_name }}</td>
                                <td>{{ (explode('/',$item->user->application->age_slot))[0] }} / {{ substr($item->vlntr_gender,0,1) }}</td>
                                <td>
                                    @foreach ($item->user->languages as $value)
                                        {{ $value->language->name }} <br />
                                    @endforeach
                                    @php
                                        $cntotl=1;
                                        $arrotl = explode(",",$item->user->application->speak_languages_other);
                                        foreach( $arrotl as $otl){
                                            if($cntotl>1)
                                                print("<br>");
                                            $cntotl = $cntotl+1;
                                            $olang =  explode(" ",trim($otl));
                                            print ($olang[0]);
                                        }
                                    @endphp
                                </td>
                                <td>{{ $item->user->MandBatch() }}</td>
                                <td>{{ $item->clientcount->count() }} / {{$item->vlntr_max_clients}}</td>
                                <td>{{ $item->vlntr_contract_end_date }}</td>
                                <td>    
                                        @if($item->unregistered<>'R')
                                            Unregistered<br />{{ date("Y-m-d",strtotime($item->updated_at)) }}
                                        @else
                                            {{ (($item->is_active=='A')?'Active':'Inactive') }} <br /> {{ (($item->is_hold=='H')?'On Hold':'') }}
                                        @endif
                                </td>
                                <td>{{ (($item->vlntr_task_empathy_calls=='E')?'Calls':(($item->vlntr_task_empathy_calls=='O')?'Others':'Calls +')) }}</td>
                                <td>    
                                            {{ ($item->vlntr_skills!=null?'Yes':'') }} 
                                </td>
                            </tr>
                                <tr style="display:none">
                                    <td colspan="9">
                                        <div class="">
                                            <div class="panel panel-primary receipts-inline-table border-0">
                                                <div class="tab-menu-heading p-0 border-0">
                                                    <div class="tabs-menu1">
                                                        <!-- Tabs -->
                                                        <ul class="nav panel-tabs">
                                                            <li class=""><a href="#tab1"
                                                                    class="active" data-bs-toggle="tab"></a>
                                                            </li>
                                                        </ul>
                                                    </div>
                                                </div>
                                                <div class="panel-body tabs-menu-body p-0 border-0">
                                                    <div class="tab-content">
                                                        <div class="tab-pane active" id="tab1">
                                                            <table class="table detail-transaction">
                                                                <tbody>
                                                                    <tr>
                                                                        <th>
                                                                            @if ($item->unregistered=='R')
                                                                                <a data-bs-toggle="modal" data-bs-target="#modelskill{{ $item->id }}"
                                                                                class="btn btn-primary " href="#">Update Skill</a>
                                                                                <a data-bs-toggle="modal" data-bs-target="#modeldate{{ $item->id  }}"
                                                                                class="btn btn-primary " href="#">Change contract End Date</a>
                                                                                <a data-bs-toggle="modal" data-bs-target="#modeltask{{ $item->id  }}"
                                                                                    class="btn btn-primary " href="#">Change Task</a>
                                                                                    @if($item->is_active=="A")
                                                                                        <a data-bs-toggle="modal" data-bs-target="#modeldeactive{{ $item->id  }}"
                                                                                            class="btn btn-primary " href="#">Deactive</a>
                                                                                        @else
                                                                                        <a data-bs-toggle="modal" data-bs-target="#modelactive{{ $item->id  }}"
                                                                                            class="btn btn-primary " href="#">Reactive</a>
                                                                                    @endif
                                                                                    @if($item->is_hold=="H")
                                                                                    <a data-bs-toggle="modal" data-bs-target="#modelunhold{{ $item->id  }}"
                                                                                        class="btn btn-primary " href="#">Unhold</a>
                                                                                    @else
                                                                                    <a data-bs-toggle="modal" data-bs-target="#modelhold{{ $item->id  }}"
                                                                                        class="btn btn-primary " href="#">Hold</a>
                                                                                    @endif
                                                                                    
                                                                                    @if($item->unregistered=="R")
                                                                                    <a data-bs-toggle="modal" data-bs-target="#modelunregister{{ $item->id  }}"
                                                                                        class="btn btn-primary " href="#">Unregister</a>
                                                                                    @else
                                                                                    <a data-bs-toggle="modal" data-bs-target="#modelregister{{ $item->id  }}"
                                                                                        class="btn btn-primary " href="#">register</a>
                                                                                    @endif
                                                                            @endif

                                                                        </th>
                                                                        
                                                                                <div class="modal fade" id="modelskill{{ $item->id  }}" tabindex="-1" role="dialog"
                                                                                    aria-labelledby="normalmodal" aria-hidden="true">
                                                                                    <div class="modal-dialog" role="document">
                                                                                        <div class="modal-content">
                                                                                            <div class="modal-header">
                                                                                                <h5 class="modal-title" id="normalmodal">Update Skill
                                                                                                    {{ $item->full_name }}</h5>
                                                                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                                    aria-label="Close">
                                                                                                    <span aria-hidden="true">×</span>
                                                                                                </button>
                                                                                            </div>
                                                                                            <form action="{{ route('admin.volunteer.skill', $item->id ) }}"
                                                                                                method="POST">
                                                                                                @csrf
                                                                                                @method('put')
                                                                                                <div class="modal-body">
                                                                                                    <div class="row">
                                                                                                        <div class="col">
                                                                                                            <div class="form-group">
                                                                                                                <label for="reason">Update Skill</label>
                                                                                                                <input type="text" class="form-control" name="vlntr_skills" value="{{$item->vlntr_skills}}" id="reason" aria-describedby="helpId">
                                                                                                                </div>    
                                                                                                            </div>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div class="modal-footer">
                                                                                                    <button type="submit" class="btn btn-danger">Update</button>
                                                                                                </div>
                                                                                            </form>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                          
                                                                                <div class="modal fade" id="modeldate{{ $item->id  }}" tabindex="-1" role="dialog"
                                                                                        aria-labelledby="normalmodal" aria-hidden="true">
                                                                                        <div class="modal-dialog" role="document">
                                                                                            <div class="modal-content">
                                                                                                <div class="modal-header">
                                                                                                    <h5 class="modal-title" id="normalmodal">Update
                                                                                                        {{ $item->vlntr_name }}</h5>
                                                                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                                        aria-label="Close">
                                                                                                        <span aria-hidden="true">×</span>
                                                                                                    </button>
                                                                                                </div>
                                                                                                <form action="{{ route('admin.volunteer.contract', $item->id ) }}"
                                                                                                    method="POST">
                                                                                                    @csrf
                                                                                                    @method('put')
                                                                                                    <div class="modal-body">
                                                                                                        <div class="row">
                                                                                                            <div class="col">
                                                                                                                <div class="form-group">
                                                                                                                    <label for="reason">Update Contract End Date</label>
                                                                                                                    <input type="date" class="form-control" name="vlntr_contract_end_date" value="{{$item->vlntr_contract_end_date}}" id="reason" aria-describedby="helpId">
                                                                                                                    </div>    
                                                                                                                </div>
                                                                                                        </div>
                                                                                                    </div>
                                                                                                    <div class="modal-footer">
                                                                                                        <button type="button" class="btn btn-info"
                                                                                                            data-bs-dismiss="modal">Close</button>
                                                                                                        <button type="submit" class="btn btn-danger">Update</button>
                                                                                                    </div>
                                                                                                </form>
                                                                                            </div>
                                                                                        </div>
                                                                                </div>

                                                                                <div class="modal fade" id="modelunregister{{ $item->id  }}" tabindex="-1" role="dialog"
                                                                                    aria-labelledby="normalmodal" aria-hidden="true">
                                                                                    <div class="modal-dialog" role="document">
                                                                                        <div class="modal-content">
                                                                                            <div class="modal-header">
                                                                                                <h5 class="modal-title" id="normalmodal"> Unregister
                                                                                                    {{ $item->vlntr_name }}</h5>
                                                                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                                    aria-label="Close">
                                                                                                    <span aria-hidden="true">×</span>
                                                                                                </button>
                                                                                            </div>
                                                                                            <form action="{{ route('admin.volunteer.register', [$item->id, 'U'] ) }}"
                                                                                                method="POST">
                                                                                                @csrf
                                                                                                @method('put')
                                                                                                <div class="modal-body">
                                                                                                    Are You Really want to Unregister this Volunteer
                                                                                                </div>
                                                                                                <div class="modal-footer">
                                                                                                    <button type="button" class="btn btn-info"
                                                                                                        data-bs-dismiss="modal">Close</button>
                                                                                                    <button type="submit" class="btn btn-danger"> Unregister</button>
                                                                                                </div>
                                                                                            </form>
                                                                                        </div>
                                                                                    </div>
                                                                            </div>
                                                                            <div class="modal fade" id="modelunregister{{ $item->id  }}" tabindex="-1" role="dialog"
                                                                                aria-labelledby="normalmodal" aria-hidden="true">
                                                                                <div class="modal-dialog" role="document">
                                                                                    <div class="modal-content">
                                                                                        <div class="modal-header">
                                                                                            <h5 class="modal-title" id="normalmodal"> Unregister
                                                                                                {{ $item->vlntr_name }}</h5>
                                                                                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                                aria-label="Close">
                                                                                                <span aria-hidden="true">×</span>
                                                                                            </button>
                                                                                        </div>
                                                                                        <form action="{{ route('admin.volunteer.register', [$item->id, 'R'] ) }}"
                                                                                            method="POST">
                                                                                            @csrf
                                                                                            @method('put')
                                                                                            <div class="modal-body">
                                                                                                Are You Really want to Register this Volunteer?
                                                                                            </div>
                                                                                            <div class="modal-footer">
                                                                                                <button type="button" class="btn btn-info"
                                                                                                    data-bs-dismiss="modal">Close</button>
                                                                                                <button type="submit" class="btn btn-danger"> Unregister</button>
                                                                                            </div>
                                                                                        </form>
                                                                                    </div>
                                                                                </div>
                                                                            </div>

                                                                            <div class="modal fade" id="modelunhold{{ $item->id  }}" tabindex="-1" role="dialog"
                                                                                aria-labelledby="normalmodal" aria-hidden="true">
                                                                                <div class="modal-dialog" role="document">
                                                                                    <div class="modal-content">
                                                                                        <div class="modal-header">
                                                                                            <h5 class="modal-title" id="normalmodal"> Unhold
                                                                                                {{ $item->vlntr_name }}</h5>
                                                                                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                                aria-label="Close">
                                                                                                <span aria-hidden="true">×</span>
                                                                                            </button>
                                                                                        </div>
                                                                                        <form action="{{ route('admin.volunteer.hold', [$item->id, 'U'] ) }}"
                                                                                            method="POST">
                                                                                            @csrf
                                                                                            @method('put')
                                                                                            <div class="modal-body">
                                                                                                Are You Really want to Unhold this Volunteer?
                                                                                            </div>
                                                                                            <div class="modal-footer">
                                                                                                <button type="button" class="btn btn-info"
                                                                                                    data-bs-dismiss="modal">Close</button>
                                                                                                <button type="submit" class="btn btn-danger"> Unhold</button>
                                                                                            </div>
                                                                                        </form>
                                                                                    </div>
                                                                                </div>
                                                                         </div>
                                                                        
                                                                         <div class="modal fade" id="modelhold{{ $item->id  }}" tabindex="-1" role="dialog"
                                                                            aria-labelledby="normalmodal" aria-hidden="true">
                                                                            <div class="modal-dialog" role="document">
                                                                                <div class="modal-content">
                                                                                    <div class="modal-header">
                                                                                        <h5 class="modal-title" id="normalmodal"> Hold
                                                                                            {{ $item->vlntr_name }}</h5>
                                                                                        <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                            aria-label="Close">
                                                                                            <span aria-hidden="true">×</span>
                                                                                        </button>
                                                                                    </div>
                                                                                    <form action="{{ route('admin.volunteer.hold', [$item->id, 'H'] ) }}"
                                                                                        method="POST">
                                                                                        @csrf
                                                                                        @method('put')
                                                                                        <div class="modal-body">
                                                                                            Are You Really want to Hold this Volunteer?
                                                                                        </div>
                                                                                        <div class="modal-footer">
                                                                                            <button type="button" class="btn btn-info"
                                                                                                data-bs-dismiss="modal">Close</button>
                                                                                            <button type="submit" class="btn btn-danger"> Hold</button>
                                                                                        </div>
                                                                                    </form>
                                                                                </div>
                                                                            </div>
                                                                     </div>
                                                                    
                                                                      <div class="modal fade" id="modelactive{{ $item->id  }}" tabindex="-1" role="dialog"
                                                                        aria-labelledby="normalmodal" aria-hidden="true">
                                                                        <div class="modal-dialog" role="document">
                                                                            <div class="modal-content">
                                                                                <div class="modal-header">
                                                                                    <h5 class="modal-title" id="normalmodal"> Reactive
                                                                                        {{ $item->vlntr_name }}</h5>
                                                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                        <span aria-hidden="true">×</span>
                                                                                    </button>
                                                                                </div>
                                                                                <form action="{{ route('admin.volunteer.active', [$item->id, 'A'] ) }}"
                                                                                    method="POST">
                                                                                    @csrf
                                                                                    @method('put')
                                                                                    <div class="modal-body">
                                                                                        Are You Really want to Reactive this Volunteer?
                                                                                    </div>
                                                                                    <div class="modal-footer">
                                                                                        <button type="button" class="btn btn-info"
                                                                                            data-bs-dismiss="modal">Close</button>
                                                                                        <button type="submit" class="btn btn-danger"> Reactive</button>
                                                                                    </div>
                                                                                </form>
                                                                            </div>
                                                                        </div>
                                                                 </div>
                                                               
                                                                  <div class="modal fade" id="modeldeactive{{ $item->id  }}" tabindex="-1" role="dialog"
                                                                    aria-labelledby="normalmodal" aria-hidden="true">
                                                                    <div class="modal-dialog" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h5 class="modal-title" id="normalmodal"> Deactive
                                                                                    {{ $item->vlntr_name }}</h5>
                                                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                    aria-label="Close">
                                                                                    <span aria-hidden="true">×</span>
                                                                                </button>
                                                                            </div>
                                                                            <form action="{{ route('admin.volunteer.active', [$item->id, 'D'] ) }}"
                                                                                method="POST">
                                                                                @csrf
                                                                                @method('put')
                                                                                <div class="modal-body">
                                                                                    Are You Really want to Deactive this Volunteer?
                                                                                </div>
                                                                                <div class="modal-footer">
                                                                                    <button type="button" class="btn btn-info"
                                                                                        data-bs-dismiss="modal">Close</button>
                                                                                    <button type="submit" class="btn btn-danger"> Deactive</button>
                                                                                </div>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                 </div>

                                                                 <div class="modal fade " id="modeltask{{ $item->id  }}"  tabindex="-1" role="dialog"
                                                                    aria-labelledby="normalmodal" aria-hidden="true">
                                                                    <div class="modal-dialog modal-lg" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h5 class="modal-title" id="normalmodal">Update Task
                                                                                    {{ $item->full_name }}</h5>
                                                                                <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                                    aria-label="Close">
                                                                                    <span aria-hidden="true">×</span>
                                                                                </button>
                                                                            </div>
                                                                            <form action="{{ route('admin.volunteer.task', $item->id ) }}"
                                                                                method="POST">
                                                                                @csrf
                                                                                @method('put')
                                                                                <div class="modal-body">
                                                                                    <div class="row">
                                                                                        <div class="col-md-5 col-lg-6">
                                                                                            <div class="form-group">
                                                                                                
                                                                                                <label for="batch_starttime">Task</label>
                                                                                                    <div class="form-check">
                                                                                                            <input class="form-check-input ticket" type="checkbox" name="vlntr_task_empathy_calls" @if($item->vlntr_task_empathy_calls == 'E' || $item->vlntr_task_empathy_calls == 'B') checked @endif
                                                                                                                id="mandatory1" value="E">
                                                                                                            <label class="form-check-label" for="mandatory1">
                                                                                                                Empathy Calls
                                                                                                            </label>
                                                                                                    </div>
                                                                                            </div>    
                                                                                            <div class="form-group">
                                                                                                <div class="form-check">
                                                                                                        <input class="form-check-input ticket" data-id="{{$item->id}}" type="checkbox" name="vlntr_task_Others" @if($item->vlntr_task_empathy_calls == 'O' || $item->vlntr_task_empathy_calls == 'B') checked @endif
                                                                                                            id="task" value="O">
                                                                                                        <label class="form-check-label" for="mandatory1">
                                                                                                            Other
                                                                                                        </label>
                                                                                                </div>
                                                                                            </div>    
                                                                                        </div>
                                                                                    </div>
                                                                                    <div class="row mt-5 more" style="display: none">
                                                                                        <div class="col-md-5 col-lg-6">
                                                                                            <div class="form-group">
                                                                                                <label for="batch_duration">Task</label>
                                                                                                <input type="text" class="form-control" name="task" id="task" aria-describedby="helpId" placeholder=" Enter task">
                                                                                            </div>    
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="modal-footer">
                                                                                    <button type="button" class="btn btn-info"
                                                                                        data-bs-dismiss="modal">Close</button>
                                                                                    <button type="submit" class="btn btn-danger">Update</button>
                                                                                </div>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            
                                                                    </tr>
                                                                    
                                                                </tbody>
                                                            </table>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </td>
                        @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div>
    {{-- detail model --}}
    <div class="modal fade" id="largemodal1" tabindex="-1" role="dialog" aria-labelledby="largemodal1" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="largemodal1"> Update Task</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                  <div class="modal-body">
                      <input type="hidden" id="volntr" name="volunteer_id" value="">
                      <div class="row">
                        <div class="col-md-5 col-lg-6">
                        <p>Unmatch the client and Volunteer then add task.</p>
                    </div>
                </div>
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-info"data-bs-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>





@endsection
@section('script')
{{-- <script>
    $(document).on("change", ".ticket", function () {
   var check =($(this).val());    // Here you will get the current selected/checked radio option value
    console.log(check);
   if(check=="O"){
     $('.more').show();
   
   }
   else{
    $('.more').hide();
   }

});
</script> --}}


<script>
    $(document).on("change", ".ticket", function () {
        var check =($(this).val());    // Here you will get the current selected/checked radio option value
        id = $(this).data('id');
          console.log(id);
          if(check=="O"){

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': "{{ csrf_token() }}",
                }
            });
            $.ajax({
                url: "{{ route('admin.volunteer.client') }}",
                type: "GET",
                data: {
                    volunteer: id ,
                },
                success: function(result) {
                    if(result.status=="1"){
                        $("#volntr").val(result.volntr_id);
                        var myModal = new bootstrap.Modal(document.getElementById('largemodal1'), {
                            keyboard: false
                        })
                        myModal.show();

                        var myModal = document.getElementById('modeltask'+id);
                        var modal = bootstrap.Modal.getInstance(myModal) // Returns a Bootstrap modal instance
                        modal.hide();
                        
                        
                    }
                }


            });
          }

    });
</script>


@endsection

