@extends('tip-users.include.main')
@section('title')
    TIP-OA: Batches 
@endsection
@section('content')

    <div class="card">
        <div class="card-header">
             <div class="row w-100">
                <div class="col-6">
                    <div class="card-title mt-3">Training Batches</div>
                </div>
            </div>
        </div>
        <div class="card-body">
            <div class="table-responsive datatble-filter">
                <table id="example4" class="table card-table table-vcenter text-nowrap border p-0">
                    <thead>
                        <tr>
                            <th>Batch No</th>
                            <th>Date</th>
                            <th>Time </th>
                            <th>Maximum Trainees</th>
                           
                            <th>Action</th>
                           

                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($batch as $item)
                          <tr>
                            <td>{{ $item->batch_no }}</td>
                            <td>{{ $item->batch_date }}</td>
                            <td> {{ date('h:i:s a', strtotime($item->batch_starttime))  }}</td>
                            <td>{{ $item->batch_max_trainee }}</td>
                            @if ($item->batch_status != "C")
                            <td><!-- Button trigger modal -->      
                            <a data-bs-toggle="modal" data-bs-target="#modelopt{{ $item->id }}"
                                    class="btn btn-primary" href="#">Opt-in</a>
                          @if($item->batch != null && (($item->batch->standby_trainer != null && $item->batch->standby_trainer->id ==Auth::user()->id) || ($item->batch->main_trainer != null && $item->batch->main_trainer->id ==Auth::user()->id) ))
                              <a data-bs-toggle="modal" data-bs-target="#modelconfirm{{ $item->id }}"
                                  class="btn btn-primary" href="#">Drop out</a>
                            @if($item->batch->main_trainer != null && $item->batch->main_trainer->id ==Auth::user()->id)
                              <a data-bs-toggle="modal" data-bs-target="#modelupdate{{ $item->id }}"
                                  class="btn btn-primary" href="#" class="btn btn-primary" href="#">Update</a>
                            @else
                                <a 
                                  class="btn btn-primary btn-danger" >Update</a>
                            @endif
                          @else
                            <a 
                                  class="btn btn-primary btn-danger">Drop out</a>
                              <a 
                                  class="btn btn-primary btn-danger" >Update</a>
                          @endif
                            </td>
                            {{-- opt --}}
                            <div class="modal fade"
                                id="modelopt{{ $item->id }}" tabindex="-1"
                                role="dialog" aria-labelledby="normalmodal  modal-lg"
                                aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title"
                                                id="normalmodal1"> Opt In
                                            </h5>
                                            <button type="button" class="btn-close"
                                                data-bs-dismiss="modal"
                                                aria-label="Close">
                                                <span aria-hidden="true">×</span>
                                            </button>
                                        </div>
                                        <form
                                            action="{{ route('tip.batches.optin', $item->id) }}"
                                            method="POST">
                                            @csrf
                                            @method('PUT')
                                            <div class="modal-body">
                                                {{--<input type="hidden" name="id"
                                                    value="{{ $item->id }}">--}}
                                                <div class="row">
                                                    <div class="col-md-12 col-lg-12">
                                                        <input type = "radio"
                                                            class="form-control1"
                                                            id="main_trainer"
                                                            name="trainer"
                                                            value="Main">                                                    <label
                                                        class="form-control-label">Main
                                                        Trainer </label>
                                                    </div>
                                                </div>
                                                <div class="row mt-5">
                                                    <div class="col-md-12 col-lg-12">
                                                        <input type = "radio"
                                                            class="form-control1"
                                                            id="standby_trainer"
                                                            name="trainer"
                                                            value="Standby"> <label class="form-control-label">
                                                        Standby Trainer </label>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="submit"
                                                    class="btn btn-success"
                                                    data-bs-dismiss="modal">Save</button>

                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            {{-- opt --}}
                          <div class="modal fade" id="modelconfirm{{ $item->id }}" tabindex="-1" role="dialog"
                              aria-labelledby="normalmodal" aria-hidden="true">
                              <div class="modal-dialog" role="document">
                                  <div class="modal-content">
                                      <div class="modal-header">
                                          <h5 class="modal-title" id="normalmodal">Dropout
                                              {{ $item->full_name }}</h5>
                                          <button type="button" class="btn-close" data-bs-dismiss="modal"
                                              aria-label="Close">
                                              <span aria-hidden="true">×</span>
                                          </button>
                                      </div>
                                      <form action="{{ route('tip.batches.update', $item->id) }}"
                                          method="POST">
                                          @csrf
                                          @method('put')
                                          <div class="modal-body">
                                              Are You Really Want To Dropout This Training Batch?
                                          </div>
                                          <div class="modal-footer">
                                              <button type="submit" class="btn btn-success">Dropout</button>
                                          </div>
                                      </form>
                                  </div>
                              </div>
                          </div>

                          <div class="modal fade" id="modelupdate{{ $item->id }}" tabindex="-1" role="dialog" aria-labelledby="normalmodal" aria-hidden="true">
                              <div class="modal-dialog modal-lg" role="document">
                                  <div class="modal-content">
                                      <div class="modal-header">
                                          <h5 class="modal-title" id="normalmodal1"> Update
                                          </h5>
                                          <button type="button"
                                              class="btn-close"
                                              data-bs-dismiss="modal"
                                              aria-label="Close">
                                              <span aria-hidden="true">×</span>
                                          </button>
                                      </div>
                                    @php
                                        $tcount = 0;
                                    @endphp
                                      <form action="{{ route('tip.volunteer.notes') }}" method="POST" id="noteform{{$item->id}}">
                                          @csrf
                                          <div class="modal-body">
                                              <input type="hidden" name="batch_id" value="{{$item->id }}">                 

                                              @foreach ($item->trainees as $train)
                                                  @if($train->tbtu_status=='A')
                                                  @php
                                                    $tcount = $tcount+1;
                                                  @endphp
                                              <div class="row">
                                                  <input type="hidden" name="training_batch_trainees_updates[]" value="{{$train->id }}">                 
                                                                              
                                                  <div class="col-4">{{ucfirst($train->user->get_name())}}</div>
                                                  <div class="col-4">
                                                      <div class="form-group">
                                                          <div class="form-check">
                                                              <input data-ticket="attendence{{$train->id}}" data-id="att{{$train->id}}" @if($train->notes != null) @if($train->notes->attendence == "Y")checked @endif @endif class="form-check-input ticket" type="checkbox"
                                                              id="atten{{$train->id}}" value="Y" >
                                                              <label class="form-check-label" for="attendece{{$train->id}}">
                                                                  Attended Training
                                                              </label>
                                                              <input id="attendence{{$train->id}}" type="hidden" name="attendence[]" @if($train->notes != null) value="{{$train->notes->attendence}}" @endif>
                                                          </div>
                                                      </div>
                                                  </div>
                                                  <div class="col-4">
                                                      <div class="form-group">
                                                          <div class="form-check">
                                                              <input data-ticket="generate_ticket{{$train->id}}" data-id="more{{$train->id}}"  @if($train->notes != null) @if($train->notes->generate_ticket == "Y")checked @endif @endif class="form-check-input ticket" type="checkbox"                                                                 data-id="generate_ticket{{$train->id}}" id="gticket{{$train->id}}" value="Y" >
                                                              <label class="form-check-label" for="gticket{{$train->id}}">
                                                                  Generate Ticket
                                                              </label>
                                                              <input id="generate_ticket{{$train->id}}" type="hidden" name="generate_ticket[]" @if($train->notes != null) value="{{$train->notes->generate_ticket}}" @endif>
                                                              </div>
                                                      </div>
                                                  </div>
                                              </div>
                                              <div id="att{{$train->id}}" @if($train->notes != null) @if($train->notes->attendence != "Y") style="display: none" @endif @else style="display: none" @endif> 
                                                  <div class="row">
                                                      <div class="col-6">
                                                          <label for="skills{{$item->id}}">Skills</label>
                                                          <textarea class="form-control" id="skills{{$item->id}}" type="text" name="volunteer_skills[]">@if($train->notes != null ){{$train->notes->volunteer_skills}} @endif</textarea>
                                                      
                                                      </div>
                                                      <div class="col-6">
                                                          <label for="notes{{$item->id}}">Notes</label>
                                                          <textarea id="notes{{$item->id}}" class="form-control" name="volunteer_notes[]">@if($train->notes != null ) {{$train->notes->volunteer_notes}} @endif</textarea>                                                    
                                                      </div>
                                                  </div>
                                              </div>

                                              <div id="more{{$train->id}}" @if($train->notes != null) @if($train->notes->generate_ticket != "Y") style="display: none" @endif @else style="display: none" @endif>
                                                  <div class="row mt-5">
                                                      <div class="col-md-5 col-lg-6">
                                                          <div class="form-group">
                                                              <label for="ttile{{$item->id}}">Ticket Title</label>
                                                              <input @if($train->notes != null) value="{{$train->notes->ticket_title}}" @endif type="text" class="form-control" name="ticket_title[]" id="ticket_title{{$item->id}}" aria-describedby="helpId" placeholder=" Enter ticket title">
                                                          </div>    
                                                      </div>

                                                      <div class="col-md-5 col-lg-6">
                                                          <div class="form-group">
                                                              <label for="batch_date"></label>Ticket Priority
                                                              <select class="form-control" name="ticket_priority[]">
                                                                  <option></option>
                                                                  <option value="High"   @if($train->notes != null) @if($train->notes->ticket_priority == "High") selected @endif @endif >High</option>
                                                                  <option value="Medium" @if($train->notes != null) @if($train->notes->ticket_priority == "Medium") selected @endif @endif >Medium</option>
                                                                  <option value="Low"    @if($train->notes != null) @if($train->notes->ticket_priority == "Low") selected @endif @endif>Low</option>
                                                              </select>
                                                          </div>    
                                                      </div>
                                                  </div>

                                                  <div class="row mt-5">
                                                      <div class="col-md-5 col-lg-6">
                                                          <div class="form-group">
                                                              <label for="ticket_desc{{$item->id}}">Ticket Description: </label>
                                                              <textarea class="form-control" name="ticket_desc[]" id="ticket_desc{{$item->id}}">@if($train->notes != null) {{$train->notes->ticket_desc}} @endif</textarea>
                                                          </div>    
                                                      </div>
                                                  </div>
                                              </div>

                                              <hr>
                                                    @endif
                                              @endforeach
                                              <div class="modal-footer">
                                              @if($tcount>0)
                                                  <button type="submit" class="btn btn-info save d-none">Save</button>
                                                  <button type="button" data-id="#noteform{{$item->id}}"  class="btn btn-info save">Save</button>
                                                  <button type="button" data-id="#noteform{{$item->id}}" class="btn btn-info saveclose">Save And Close</button>
                                              @else
                                                No trainee confirmed in this batch.
                                              @endif    
                                              </div>
                                          </div>
                                      </form>
                                  </div>
                              </div>
                          </div>
                            @else
                                <td>Closed</td>
                            @endif
                        </tr>
                       
                        @endforeach

                    </tbody>
                </table>
            </div>
        </div>
    </div>



@endsection

@section('script')
<script>
$(document).on("click", ".ticket", function () {
   if($(this).is(':checked')){
     $('#'+$(this).data('id')).show();
     $('#'+$(this).data('ticket')).val('Y');
   }
   else{
    $('#'+$(this).data('id')).hide();
    $('#'+$(this).data('ticket')).val('N');
   }
});
$(document).on('click' , '.save' , function(){
    console.log($($(this).data('id')));
    $($(this).data('id')).attr('action' , "{{route('tip.volunteer.notes')}}");
    $($(this).data('id')).submit();
});
$(document).on('click' , '.saveclose' , function(){
    $($(this).data('id')).attr('action' , "{{route('tip.volunteer.notes' , 'C')}}");
    $($(this).data('id')).submit();
});
</script>

@endsection
